Central Bank Rates
Get policy rate, inflation figures, T-bill yields, and the next MPC meeting date for any African country.
GET
https://afrotools.com/api/rates
Authentication required. Pass your API key via
x-api-key header. Learn more
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| country optional | string | ISO country code. Omit to get all countries. |
| indicator optional | string | Filter by indicator: policy_rate, inflation, tbills, gdp, or mpc. |
| date optional | string | Historical date (YYYY-MM-DD). Pro plan required. |
Response Fields
| Field | Type | Description |
|---|---|---|
| country | string | ISO country code. |
| country_name | string | Full country name. |
| central_bank | string | Central bank full name. |
| central_bank_abbr | string | Central bank abbreviation. |
| policy_rate | number | Monetary policy rate (%). |
| inflation.headline | number | Headline CPI inflation (%). |
| inflation.core | number | Core inflation excl. food & energy (%). |
| inflation.food | number | Food inflation (%). |
| tbills | object | Treasury bill yields by tenor. |
| gdp_growth | number | Latest quarterly GDP growth (%). |
| next_mpc | string | Next MPC meeting date (YYYY-MM-DD). |
| updated | string | Date data was last updated. |
Error Responses
| Status | Code | Description |
|---|---|---|
| 400 | invalid_country | Country code not supported. |
| 400 | invalid_indicator | Indicator type not recognized. |
| 401 | missing_api_key | No API key was provided. |
| 429 | rate_limit_exceeded | Rate limit exceeded. |
Request Examples
curl "https://afrotools.com/api/rates?country=NG" \
-H "x-api-key: afro_live_your_key_here"
const res = await fetch(
"https://afrotools.com/api/rates?country=NG",
{ headers: { "x-api-key": "afro_live_your_key_here" } }
);
const data = await res.json();
console.log(`Policy Rate: ${data.data.policy_rate}%`);
import requests
resp = requests.get(
"https://afrotools.com/api/rates",
params={"country": "NG"},
headers={"x-api-key": "afro_live_your_key_here"}
)
data = resp.json()
print(f"Policy Rate: {data['data']['policy_rate']}%")
const axios = require("axios");
const { data } = await axios.get(
"https://afrotools.com/api/rates",
{
params: { country: "NG" },
headers: { "x-api-key": "afro_live_your_key_here" }
}
);
console.log(`Policy Rate: ${data.data.policy_rate}%`);
$ch = curl_init("https://afrotools.com/api/rates?country=NG");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"x-api-key: afro_live_your_key_here"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
echo "Policy Rate: " . $data["data"]["policy_rate"] . "%";
Response (200 OK)
{
"success": true,
"data": {
"country": "NG",
"country_name": "Nigeria",
"central_bank": "Central Bank of Nigeria",
"central_bank_abbr": "CBN",
"policy_rate": 27.50,
"inflation": {
"headline": 31.7,
"core": 25.1,
"food": 37.9
},
"tbills": {
"91_day": 18.5,
"182_day": 20.1,
"364_day": 22.3
},
"gdp_growth": 3.46,
"next_mpc": "2026-05-20",
"updated": "2026-03-01"
}
}
Filter by Indicator
# Get only inflation data
curl "https://afrotools.com/api/rates?country=KE&indicator=inflation" \
-H "x-api-key: afro_test_abc123"
{
"success": true,
"data": {
"country": "KE",
"country_name": "Kenya",
"inflation": {
"headline": 6.3,
"core": 3.8,
"food": 8.1
},
"updated": "2026-02-28"
}
}